Skip to main content
GET
/
v1
/
jettons
/
{address}
getJettonDetails
curl --request GET \
  --url https://api.dyor.io/v1/jettons/{address}
import requests

url = "https://api.dyor.io/v1/jettons/{address}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dyor.io/v1/jettons/{address}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "details": {
    "metadata": {
      "address": "0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1",
      "name": "DYOR Coin",
      "symbol": "DYOR",
      "decimals": 15,
      "image": "https://storage.dyor.io/jettons/EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz/image.png",
      "description": "DYOR Coin is the utility token by DYOR.io, the biggest analytics platform on TON Blockchain.",
      "offchainImage": "https://storage.dyor.io/jettons/EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz/image.png",
      "offchainDescription": "DYOR Coin is the utility token by DYOR.io, the biggest analytics platform on TON Blockchain.",
      "links": [
        {
          "name": "Chat EN",
          "url": "https://t.me/DYORchatEN",
          "type": "LINK_TYPE_UNSPECIFIED"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    },
    "admin": {
      "address": "0:0000000000000000000000000000000000000000000000000000000000000000",
      "offchainAddress": "<string>"
    },
    "totalSupply": "299999852059244670506",
    "mintable": true,
    "modifiedContract": true,
    "verification": "JVS_NONE",
    "price": {
      "value": "1000500000",
      "decimals": 9
    },
    "priceUsd": {
      "value": "1000500000",
      "decimals": 9
    },
    "holdersCount": "7351",
    "liquidityUsd": {
      "value": "1000500000",
      "decimals": 9
    },
    "fdmc": {
      "value": "1000500000",
      "decimals": 9
    },
    "trustScore": 100,
    "mcap": {
      "value": "1000500000",
      "decimals": 9
    },
    "circulatingSupply": "<string>",
    "chartPreviews": [
      {
        "url": "<string>",
        "metric": "price",
        "period": "month",
        "color": "dark"
      }
    ]
  },
  "addressBook": {}
}
{
  "code": 3,
  "message": "invalid value",
  "details": []
}
{
  "code": 5,
  "message": "not found",
  "details": []
}
{
  "code": 8,
  "message": "too many requests",
  "details": []
}
{
  "code": 123,
  "message": "<string>",
  "details": [
    {
      "@type": "<string>"
    }
  ]
}

Path Parameters

address
string
required

Jetton address

Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz

Response

A successful response.

details
object
addressBook
Possible aliases for all raw addresses in response · object